# FX Pre-order (Quotation)

Only one of sell or buy amount may be specified

Endpoint: POST /api/v2/fx/conversion/preorder
Version: 1.0.0

## Header parameters:

  - `X-Merch-Id` (string)

## Request fields (application/json):

  - `sell_currency` (string, required)
    Sell Currency: EUR - Euro, USD - United States dollar, CNY - Chinese yuan, GBP - British pound, JPY - Japanese yen, AUD - Australian dollar, CAD - Canadian dollar, SGD - Singapore dollar, HKD - Hong Kong dollar, PHP - Philippine peso, CNH - offshore Chinese yuan
    Enum: "EUR", "USD", "CNY", "GBP", "JPY", "AUD", "CAD", "SGD", "HKD", "PHP", "CNH"

  - `buy_currency` (string, required)
    Buy Currency: EUR - Euro, USD - United States dollar, CNY - Chinese yuan, GBP - British pound, JPY - Japanese yen, AUD - Australian dollar, CAD - Canadian dollar, SGD - Singapore dollar, HKD - Hong Kong dollar, PHP - Philippine peso, CNH - offshore Chinese yuan
    Enum: "EUR", "USD", "CNY", "GBP", "JPY", "AUD", "CAD", "SGD", "HKD", "PHP", "CNH"

  - `sell_amount` (integer)
    Sell out Amount (CurrencyMinimum Unit), one of sell_amount and buy_amount must be passed

  - `buy_amount` (integer)
    Buy Amount (CurrencyMinimum Unit), one of sell_amount and buy_amount must be passed

## Response 200 fields (application/json):

  - `order_no` (string, required)
    FXOrder number

  - `sell_currency` (string, required)
    Sell out Currency

  - `buy_currency` (string, required)
    Buy into Currency

  - `sell_amount` (integer, required)
    SellAmount(CurrencyMinimum Unit)

  - `buy_amount` (integer, required)
    BuyAmount(CurrencyMinimum Unit)

  - `fx_rate` (number, required)
    Exchange Rate (How many units of Buy currency are exchanged for 1 unit of Sell currency)

  - `expire_at` (string, required)
    Expired in (format: yyyy-MM-dd'T'HH:mm:ssXXX)
    Example: 2024-12-03T23:33:33Z

